Bug 78843 - [swrast] piglit copyteximage 1D regression
Summary: [swrast] piglit copyteximage 1D regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-17 23:23 UTC by Vinson Lee
Modified: 2014-05-20 21:45 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-05-17 23:23:57 UTC
mesa: 5646319f25c7880b3706bb7590e24c84fd8de0fc (master 10.3.0-devel)


$ ./bin/copyteximage 1D -auto
Testing GL_TEXTURE_1D
Texture target = GL_TEXTURE_1D, Internal format = GL_RED
Texture target = GL_TEXTURE_1D, Internal format = GL_RG
Texture target = GL_TEXTURE_1D, Internal format = GL_RGB8
Probe color at (48,0)
  Expected: 0.500000 0.200000 0.800000 1.000000
  Observed: 0.031373 0.000000 0.000000 1.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_RGB16
Probe color at (64,0)
  Expected: 0.500000 0.200000 0.800000 1.000000
  Observed: 0.905882 0.247059 0.858824 1.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_RGB16F
Probe color at (80,0)
  Expected: 0.500000 0.200000 0.800000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_RGB32F
Probe color at (96,0)
  Expected: 0.500000 0.200000 0.800000 1.000000
  Observed: 0.000000 0.000000 0.000000 1.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_RGBA8
Probe color at (112,0)
  Expected: 0.500000 0.200000 0.800000 0.400000
  Observed: 0.470588 0.917647 0.858824 0.721569
Texture target = GL_TEXTURE_1D, Internal format = GL_RGBA16
Probe color at (128,0)
  Expected: 0.500000 0.200000 0.800000 0.400000
  Observed: 0.000000 0.000000 0.000000 0.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_RGBA16F
Probe color at (144,0)
  Expected: 0.500000 0.200000 0.800000 0.400000
  Observed: 0.000000 0.000000 0.000000 0.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_RGBA32F
Probe color at (160,0)
  Expected: 0.500000 0.200000 0.800000 0.400000
  Observed: 0.000000 0.000000 0.000000 0.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_COMPRESSED_RED
Texture target = GL_TEXTURE_1D, Internal format = GL_COMPRESSED_RG
Texture target = GL_TEXTURE_1D, Internal format = GL_COMPRESSED_RGB
Probe color at (208,0)
  Expected: 0.500000 0.200000 0.800000 1.000000
  Observed: 0.000000 0.501961 0.505882 1.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_COMPRESSED_RGBA
Probe color at (224,0)
  Expected: 0.500000 0.200000 0.800000 0.400000
  Observed: 0.000000 0.000000 0.000000 0.000000
Texture target = GL_TEXTURE_1D, Internal format = GL_LUMINANCE
Texture target = GL_TEXTURE_1D, Internal format = GL_LUMINANCE_ALPHA
Texture target = GL_TEXTURE_1D, Internal format = GL_INTENSITY
Texture target = GL_TEXTURE_1D, Internal format = GL_DEPTH_COMPONENT
Texture target = GL_TEXTURE_1D, Internal format = GL_DEPTH_COMPONENT16
Texture target = GL_TEXTURE_1D, Internal format = GL_DEPTH_COMPONENT24
Texture target = GL_TEXTURE_1D, Internal format = GL_DEPTH_COMPONENT32F - skipped
Texture target = GL_TEXTURE_1D, Internal format = GL_DEPTH24_STENCIL8
Texture target = GL_TEXTURE_1D, Internal format = GL_DEPTH32F_STENCIL8 - skipped
PIGLIT: {'result': 'fail' }


bd44ac8b5ca08016bb064b37edaec95eccfdbcd5 is the first bad commit
commit bd44ac8b5ca08016bb064b37edaec95eccfdbcd5
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Sun May 11 17:20:08 2014 -0700

    i965: Don't _swrast_BlitFramebuffer when doing CopyTexSubImage.
    
    The point of copytexsubimage_using_blit_framebuffer is to use a hardware
    accelerated BlitFramebuffer path.  If that fails, we shouldn't do a
    swrast blit---we should try our CTSI fallback code.
    
    This is especially important for i965 and GLES, where we don't even
    create a swrast context.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=77705
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Chris Forbes <chrisf@ijw.co.nz>
    Cc: "10.2" <mesa-stable@lists.freedesktop.org>

:040000 040000 313ba4b4dcbf69457b565f9ce2988355431d461f 128c89746f13726404560571fe5d8a7a69df1d0b M	src
bisect run success


bug/show.html.tmpl processed on Feb 19, 2017 at 16:41:33.
(provided by the Example extension).